Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 989273 - [abrt] gdb-7.5.1-38.fc18: PyTuple_Size: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
Summary: [abrt] gdb-7.5.1-38.fc18: PyTuple_Size: Process /usr/bin/gdb was killed by si...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b3f9421aaef45ac3eda340043f8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-29 00:56 UTC by Moez Roy
Modified: 2014-02-05 22:11 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:11:27 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-29 00:56 UTC, Moez Roy
no flags Details
File: cgroup (deleted)
2013-07-29 00:56 UTC, Moez Roy
no flags Details
File: core_backtrace (deleted)
2013-07-29 00:56 UTC, Moez Roy
no flags Details
File: dso_list (deleted)
2013-07-29 00:56 UTC, Moez Roy
no flags Details
File: environ (deleted)
2013-07-29 00:56 UTC, Moez Roy
no flags Details
File: limits (deleted)
2013-07-29 00:56 UTC, Moez Roy
no flags Details
File: maps (deleted)
2013-07-29 00:56 UTC, Moez Roy
no flags Details
File: open_fds (deleted)
2013-07-29 00:56 UTC, Moez Roy
no flags Details
File: proc_pid_status (deleted)
2013-07-29 00:57 UTC, Moez Roy
no flags Details
File: var_log_messages (deleted)
2013-07-29 00:57 UTC, Moez Roy
no flags Details

Description Moez Roy 2013-07-29 00:56:34 UTC
Version-Release number of selected component:
gdb-7.5.1-38.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gdb -batch -ex 'set debug-file-directory /' -ex 'file /home/user/Videos/firefox/plugin-container' -ex 'core-file ./coredump' -ex 'thread apply all backtrace 1024 full' -ex 'info sharedlib' -ex 'print (char*)__abort_msg' -ex 'print (char*)__glib_assert_msg' -ex 'info registers' -ex disassemble
crash_function: PyTuple_Size
executable:     /usr/bin/gdb
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 PyTuple_Size at /usr/src/debug/Python-2.7.3/Objects/tupleobject.c:129
 #1 PyFunction_New at /usr/src/debug/Python-2.7.3/Objects/funcobject.c:29
 #2 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2796
 #3 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
 #4 PyEval_EvalCode at /usr/src/debug/Python-2.7.3/Python/ceval.c:689
 #5 PyImport_ExecCodeModuleEx at /usr/src/debug/Python-2.7.3/Python/import.c:681
 #6 load_source_module at /usr/src/debug/Python-2.7.3/Python/import.c:1018
 #7 load_module at /usr/src/debug/Python-2.7.3/Python/import.c:1822
 #8 import_submodule at /usr/src/debug/Python-2.7.3/Python/import.c:2595
 #9 load_next at /usr/src/debug/Python-2.7.3/Python/import.c:2415

Comment 1 Moez Roy 2013-07-29 00:56:38 UTC
Created attachment 779468 [details]
File: backtrace

Comment 2 Moez Roy 2013-07-29 00:56:41 UTC
Created attachment 779469 [details]
File: cgroup

Comment 3 Moez Roy 2013-07-29 00:56:44 UTC
Created attachment 779470 [details]
File: core_backtrace

Comment 4 Moez Roy 2013-07-29 00:56:47 UTC
Created attachment 779471 [details]
File: dso_list

Comment 5 Moez Roy 2013-07-29 00:56:50 UTC
Created attachment 779472 [details]
File: environ

Comment 6 Moez Roy 2013-07-29 00:56:53 UTC
Created attachment 779473 [details]
File: limits

Comment 7 Moez Roy 2013-07-29 00:56:56 UTC
Created attachment 779474 [details]
File: maps

Comment 8 Moez Roy 2013-07-29 00:56:59 UTC
Created attachment 779475 [details]
File: open_fds

Comment 9 Moez Roy 2013-07-29 00:57:03 UTC
Created attachment 779476 [details]
File: proc_pid_status

Comment 10 Moez Roy 2013-07-29 00:57:06 UTC
Created attachment 779477 [details]
File: var_log_messages

Comment 11 Tom Tromey 2013-08-05 17:02:31 UTC
This is crashing in Python initialization.
Maybe it is a bug in Python; but most likely not in gdb.
Often when we see this kind of error, though, it turns out
to be faulty memory or the like.

Comment 12 Fedora End Of Life 2013-12-21 14:23:35 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2014-02-05 22:11:27 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.